Skip to main content
`Ctrl`+`K`

# PCMGSetDistinctSmoothUp

sets the up (post) smoother to be a separate `KSP` from the down (pre) smoother on all levels and adds the suffix _up to the options name

## Synopsis

    #include "petscksp.h"
    PetscErrorCode PCMGSetDistinctSmoothUp(PC pc)

Logically Collective

## Input Parameter

- pc - the preconditioner context

## Options Database Key

- -pc_mg_distinct_smoothup (true|false) - use distinct smoothing objects

## Note

This does not set a value on the coarsest grid, since we assume that there is no separate smooth up on the coarsest grid.

## See Also

KSP: Linear System Solvers, `PCMG`, `PCMGSetNumberSmooth()`

## Level

advanced

## Location

src/ksp/pc/impls/mg/mg.c

Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages